using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ResourceManager : MonoBehaviour
{

    public static ResourceManager Instance { get; private set; }
    [SerializeField] int medicinePlayerClicks = 0;
    [SerializeField] int resourceAmount = 0;

    public int MedicineClicks { get => medicinePlayerClicks; set => medicinePlayerClicks = value; }
    public int ResourceAmount { get => resourceAmount; set => resourceAmount = value; }

    private void Awake()
    {
        if (Instance == null)
            Instance = this;
        else if (Instance != this)
            Destroy(gameObject);
        DontDestroyOnLoad(gameObject);
    }


}
